# Uses of Interface
org.apache.wiki.api.core.Session

Packages that use Session
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Session in org.apache.wiki.api.core

Methods in org.apache.wiki.api.core that return Session
Modifier and Type
Method
Description
`Session`
Context.`getWikiSession()`
Returns the Session associated with the context.
Methods in org.apache.wiki.api.core with parameters of type Session
Modifier and Type
Method
Description
`static Object`
Session.`doPrivileged(Session session, PrivilegedAction<?> action)`
Wrapper for `Subject.doAsPrivileged(Subject, PrivilegedAction, java.security.AccessControlContext)` that executes an action with the privileges possessed by a Session's Subject.

## Uses of Session in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return Session
Modifier and Type
Method
Description
`Session`
SessionDSL.`find(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Returns the Session object associated with the current HTTP request.
`Session`
SessionSPI.`find(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Returns the Session object associated with the current HTTP request.
`Session`
SessionDSL.`guest(Engine engine)`
Creates a new "guest" session containing a single user Principal `org.apache.wiki.auth.WikiPrincipal#GUEST`, plus the role principals `Role#ALL` and `Role#ANONYMOUS`.
`Session`
SessionSPI.`guest(Engine engine)`
Creates a new "guest" session containing a single user Principal `org.apache.wiki.auth.WikiPrincipal#GUEST`, plus the role principals `Role#ALL` and `Role#ANONYMOUS`.